Subject: bug after guix pull

From: amuza <[email-masked]>
Date: Mon, 12 Apr 2021 20:43:30 +0200

Hello.

I installed wireguard, but I could not find the /etc/wireguard
directory. I thought it could be good to update guix. I did guix pull.
It took a long while until it finished. At the end it showed the
following lines:

./guix/serialization.scm:80:6: In procedure read-int:
ERROR:
  1. &nar-error:
      file: #f
      port: #<input-output: file 10>
guix pull: error: You found a bug: the program
'/gnu/store/v5k9gs5jwhx0nxiqjz38jalpf8fk861z-compute-guix-derivation'
failed to compute the derivation for Guix (version:
"d14f21389c7faeb8a763ebbcf1b8aa1ba4deade9"; system: "x86_64-linux";
host version: "53dff6ac8ffaeeaa704957b83b2245d4494b030a"; pull-version: 1).
Please report it by email to <[email-masked]>.